%define LIBVER 62.0.0
Summary: A library for manipulating JPEG image format files.
Name: libjpeg
Version: 6b
Release: 8tr
License: distributable
Group: Trustix Official
Source0: ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.bz2
Patch1: jpeg-c++.patch
Buildroot: %{_tmppath}/%{name}-root

%package devel
Summary: Development tools for programs which will use the libjpeg library.
Group: Trustix Official
Requires: libjpeg = %{version}

%description
The libjpeg package contains a library of functions for manipulating
JPEG images, as well as simple client programs for accessing the
libjpeg functions.  Libjpeg client programs include cjpeg, djpeg,
jpegtran, rdjpgcom and wrjpgcom.  Cjpeg compresses an image file into
JPEG format.  Djpeg decompresses a JPEG file into a regular image
file.  Jpegtran can perform various useful transformations on JPEG
files.  Rdjpgcom displays any text comments included in a JPEG file.
Wrjpgcom inserts text comments into a JPEG file.

%description devel
The libjpeg-devel package includes the header files and static libraries
necessary for developing programs which will manipulate JPEG files using
the libjpeg library.

If you are going to develop programs which will manipulate JPEG images,
you should install libjpeg-devel.  You'll also need to have the libjpeg
package installed.

%prep
%setup -q -n jpeg-6b
%patch1 -p1 -b .c++

%build
%configure --enable-shared --enable-static

make libdir=%{_libdir}
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$PWD make test

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

mkdir -p $RPM_BUILD_ROOT/usr/{include,bin}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

%makeinstall
# Work around the broken makefiles...
mv $RPM_BUILD_ROOT%{_mandir}/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_libdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,0755)
%doc usage.doc README
%{_libdir}/libjpeg.so.*
%{_bindir}/*
%{_mandir}/*/*

%files devel
%defattr(-,root,root,0755)
%doc libjpeg.doc coderules.doc structure.doc wizard.doc example.c
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
/usr/include/*.h

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Mar 16 2005 Bipin S  <bipin at comodo dot com> libjpeg-6b-6tr
- Rebuilt

* Mon Dec 15 2003 Erlend Midttun <erlendbm at trustix dot org> 6b-3tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 6b-2tr
- Big rebuild

* Mon Apr 14 2003 Gerald Dachs <gda at trustix dot org> 6b-1gd
- initial release
